# MickeyGoldmill
This is a gem that includes generators to add a jenkins setup to a rails project.

## Usage
There are 2 ways to use this gem. If you run the generator without any arguments it will
install gergich, brakeman, eslint, rubocop, and simplecov.

If you do not desire to install everything, pass all the options that you want installed.
You can pass the following option: brakeman, eslint, rubocop, simplecov

Examples:
$ rails generate mickey

    This will create:
        build.sh
        bin/jekins
        Dockerfile
        docker-compost.test.yml

    This will inject:
        gergich
        brakeman
        eslint
        rubocop
        simplecov

$ rails generate mickey eslint rubocop

    This will create:
        build.sh
        bin/jekins
        Dockerfile
        docker-compost.test.yml

    This will inject:
        gergich
        eslint
        rubocop

## Installation
Add this line to your application's Gemfile:

```ruby
gem 'mickey_goldmill'
```

And then execute:
```bash
$ bundle
```

Or install it yourself as:
```bash
$ gem install mickey_goldmill
```

## License
The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
